> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List exports

> List previously created exports, most recent first.



## OpenAPI

````yaml get /v1/exports
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/exports:
    get:
      tags:
        - Exports
      summary: List exports
      description: List previously created exports, most recent first.
      operationId: listExports
      parameters:
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            maximum: 100
            default: 50
          required: false
          name: take
          in: query
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            default: 0
          required: false
          name: skip
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedExport'
      security:
        - bearer: []
components:
  schemas:
    PaginatedExport:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: number
              description: Total of existing items.
              example: 1
            taken:
              type: number
              description: Number of items returned.
              example: 1
            skipped:
              type: number
              description: Number of items skipped.
              example: 0
          required:
            - total
            - taken
            - skipped
        data:
          type: array
          items:
            $ref: '#/components/schemas/Export'
          description: List of Export.
      required:
        - meta
        - data
    Export:
      allOf:
        - $ref: '#/components/schemas/CreateExport'
        - type: object
          properties:
            id:
              type: string
              description: Export ID.
              example: exp_YfiSnLIYORD9VN
            status:
              type: string
              enum:
                - pending
                - processing
                - done
                - error
              description: >

                Export status.


                - `pending`: The export is pending and has not started
                processing yet.

                - `processing`: The export is currently being generated.

                - `done`: The export has been successfully generated.

                - `errored`: An error occurred during the export generation.
              example: processing
            created_at:
              type:
                - string
                - 'null'
              format: date
              description: >-
                Export creation date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2025-06-03T11:32:00Z'
            updated_at:
              type:
                - string
                - 'null'
              format: date
              description: >-
                Export last edition date. UTC date time string in the [ISO
                8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              example: '2025-06-07T19:13:00Z'
          required:
            - id
            - status
            - created_at
            - updated_at
    CreateExport:
      type: object
      properties:
        name:
          type: string
          enum:
            - aged_balances
            - outstanding_invoices
            - all_subscriptions
            - revenue_per_product
            - revenue_per_line_item_name
            - revenue_per_country
            - revenue_per_plan
            - all_customers
            - detailed_revenue
            - line_by_line_revenue
            - draft_invoices
            - open_invoices
            - live_subscriptions
            - renewals
          description: >

            Export name.


            - `aged_balances`: List of balances at 30, 60, and 90+ days for all
            customers.

            - `all_customers`: List of all customers.

            - `outstanding_invoices`: List of all outstanding invoices.

            - `all_subscriptions`: List of all active, pending or cancelled
            subscriptions.

            - `revenue_per_product`: Revenue per product month over month.

            - `detailed_revenue`: Booked revenue (outstanding and paid) split
            per customer and product, month over month.

            - `revenue_per_line_item_name`: Revenue per invoice line item month
            over month, grouped by name given on invoice or subscription.

            - `revenue_per_country`: Revenue, tax and invoice number per
            country.

            - `revenue_per_plan`: Revenue per plan month over month.

            - `line_by_line_revenue`: All invoice line items in chronological
            order, with product and customer information.

            - `draft_invoices`: Export all draft invoices, with customer and
            product information.

            - `open_invoices`: Export all open invoices, with customer and
            product information.

            - `live_subscriptions`: List of all active subscriptions line by
            line.
          example: line_by_line_revenue
        file_type:
          type: string
          enum:
            - csv
            - xlsx
            - json
          description: |-

            Export file type.

            - `csv`: The export will be generated in CSV format.
            - `xlsx`: The export will be generated in XLSX format.
            - `json`: The export will be generated in JSON format.
          example: csv
      required:
        - name
        - file_type
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````